POST /notes

Creates a note for one or more contacts.

Supported content formats: plaintext and Markdown.

application/json

Body Required

  • note object
    Hide note attributes Show note attributes object
    • content string Required

      Plaintext or markdown note content as a string.

    • note_tag_id string(uuid)

      Note tag ID to associate with the note.

    • contact_ids array[string(uuid)] Required

      Contact IDs to associate with the note.

Responses

  • 201 application/json

    Note successfully created

    Hide response attribute Show response attribute object
    • note object
      Hide note attributes Show note attributes object
      • id string(uuid) Required

        Unique identifier for the note

      • contact_ids array[string(uuid)] | null

        Contact IDs associated with the note when the note belongs to contacts.

      • note_tag_id string | null

        The note tag ID associated with the note

      • content string | null

        Content of the note. May be null immediately after create while asynchronous processing completes.

      • created_at string(date-time) Required

        When the note was created

  • 400 application/json

    Bad Request - The request is invalid or malformed

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 401 application/json

    Unauthorized - Invalid or missing authentication token

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 403 application/json

    Forbidden - The authenticated user does not have access to the requested resource

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 422 application/json

    Unprocessable Entity - The request is valid but contains semantic errors

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

  • 429 application/json

    Too Many Requests - Rate limit exceeded

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      Single error item. Different error types can include different fields.

      • type string

        Machine-readable error type

      • field string

        The related field, if applicable

      • message string

        Human-readable error message

POST /notes
curl \
 --request POST 'https://api.visible.vc/notes' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"note":{"content":"Line one\n- bullet\n","contact_ids":["ec5252fe-9abc-4096-85e9-1374e70a3182"],"note_tag_id":"56a1bed4-9ac4-4bd1-8533-077f3ae465c3"}}'
Request example
{
  "note": {
    "content": "Line one\n- bullet\n",
    "contact_ids": [
      "ec5252fe-9abc-4096-85e9-1374e70a3182"
    ],
    "note_tag_id": "56a1bed4-9ac4-4bd1-8533-077f3ae465c3"
  }
}
Response examples (201)
{
  "note": {
    "id": "3c5728ed-a09e-4245-bb33-459b67600be3",
    "contact_ids": [
      "ec5252fe-9abc-4096-85e9-1374e70a3182"
    ],
    "note_tag_id": "56a1bed4-9ac4-4bd1-8533-077f3ae465c3",
    "content": null,
    "created_at": "2025-02-01T22:08:21.175Z"
  }
}
Response examples (400)
{
  "errors": [
    {
      "type": "parameter_invalid",
      "field": "filter",
      "message": "must be an object"
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "type": "unauthorized"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "type": "forbidden"
    }
  ]
}
Response examples (422)
{
  "errors": [
    {
      "type": "attribute_invalid",
      "field": "value",
      "message": "required"
    }
  ]
}
Response examples (429)
{
  "errors": [
    {
      "type": "rate_limit_exceeded"
    }
  ]
}